package com.bonus.canteen.core.menu.dto;

import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

public class MenuDishesTypeEditDTO implements Serializable {
   @ApiModelProperty("菜品类型id")
   private @NotNull(
   message = "{menu_type_id_null}"
) Long typeId;
   @ApiModelProperty("菜品类型名称")
   private String typeName;
   @ApiModelProperty("类别别称")
   private String aliasName;

   public Long getTypeId() {
      return this.typeId;
   }

   public String getTypeName() {
      return this.typeName;
   }

   public String getAliasName() {
      return this.aliasName;
   }

   public void setTypeId(final Long typeId) {
      this.typeId = typeId;
   }

   public void setTypeName(final String typeName) {
      this.typeName = typeName;
   }

   public void setAliasName(final String aliasName) {
      this.aliasName = aliasName;
   }
}
